Bug 24327 - Fix hit testing on elements running accelerated transform animations
Summary: Fix hit testing on elements running accelerated transform animations
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Simon Fraser (smfr)
URL:
Keywords:
Depends on:
Blocks: 23359
  Show dependency treegraph
 
Reported: 2009-03-03 10:12 PST by Simon Fraser (smfr)
Modified: 2009-03-05 11:40 PST (History)
1 user (show)

See Also:


Attachments
Patch, changelog (3.64 KB, patch)
2009-03-04 15:26 PST, Simon Fraser (smfr)
eric: review-
Details | Formatted Diff | Diff
Revised patch (3.54 KB, patch)
2009-03-04 18:32 PST, Simon Fraser (smfr)
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2009-03-03 10:12:40 PST
In implementing 3d hit testing, I broke the hit testing on elements running accelerated animations. This needs to be fixed in a more central location.
Comment 1 Simon Fraser (smfr) 2009-03-04 15:26:31 PST
Created attachment 28287 [details]
Patch, changelog
Comment 2 Eric Seidel (no email) 2009-03-04 17:27:41 PST
Comment on attachment 28287 [details]
Patch, changelog

Since you never seem to use the "has a transform" bool return, why not just have it return a TransformationMatrix object instead of passing one by reference?  Seems cleaner to return one to me.

Otherwise looks fine.  You should add a comment to the ChangeLog that the test case in question only fails when ACCELLERATED_COMPOSITING is turned on.
Comment 3 Simon Fraser (smfr) 2009-03-04 18:32:46 PST
Created attachment 28296 [details]
Revised patch
Comment 4 Dave Hyatt 2009-03-05 11:09:12 PST
Comment on attachment 28296 [details]
Revised patch

r=me
Comment 5 Simon Fraser (smfr) 2009-03-05 11:40:11 PST
http://trac.webkit.org/changeset/41455